var oXmlHttp

function showMakes(str)
{
	var url="http://www.cooldrivepass.com/getyourpass/getMakes.cfm?yearId=" + str
	oXmlHttp=GetHttpObject(stateChangedMakes)
	oXmlHttp.open("GET", url , false)
	oXmlHttp.send(null)
}

function stateChangedMakes()
{
	if (oXmlHttp.readyState==4 || oXmlHttp.readyState=="complete")
	{
		document.getElementById("makeList").innerHTML=oXmlHttp.responseText
	}
}

function showModels(strMake, strYear)
{
	var url="http://www.cooldrivepass.com/getyourpass/getModels.cfm?makeId=" + strMake + "&yearId=" + strYear
	oXmlHttp=GetHttpObject(stateChangedModels)
	oXmlHttp.open("GET", url , false)
	oXmlHttp.send(null)
}

function stateChangedModels()
{
	if (oXmlHttp.readyState==4 || oXmlHttp.readyState=="complete")
	{
		document.getElementById("modelList").innerHTML=oXmlHttp.responseText
	}
}

function GetHttpObject(handler)
{
	try
	{
		var oRequester = new ActiveXObject("Microsoft.XMLHTTP");
		oRequester.onreadystatechange=handler
		return oRequester
	}
	catch (error)
	{

		try
		{
			var oRequester = new XMLHttpRequest();
			oRequester.onload = handler
			oRequester.onerror = handler
			return oRequester
		}
		catch (error)
		{
			return false;
		}
	}
}
